Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.testing
Annotation Type FailureExpected

    @Retention(value=RUNTIME)
    @Target(value={METHOD,TYPE})
    public @interface FailureExpected

Annotation used to mark a test as an expected failure.

Required Element Summary
`String` | `jiraKey` The key of a JIRA issue which covers this expected failure.

Optional Element Summary
`String` | `message` A message explaining the reason for the expected failure.

Element Detail

### jiraKey

    public abstract String jiraKey

  The key of a JIRA issue which covers this expected failure.

  Returns:
    The jira issue key

### message

    public abstract String message

  A message explaining the reason for the expected failure. Optional.

  Returns:
    The reason
  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.